#ifndef MQTT_H
#define MQTT_H

#include <string>
#include <functional>

typedef std::function<void(std::string)> message_callback_t;

void mqtt_client_start();
void publish_message(const std::string& topic, const std::string& message);
void add_message_callback(const std::string& topic, message_callback_t callback);

#endif